# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%global _readline_ver 1.4
%global debug_package %{nil}

Name:           hihex
Version:        0.0.0
Release:        2%{?dist}
Summary:        Like hexdump, but allows you to see "high bit" ASCII in your files
License:        GPL-2.0
URL:            https://github.com/digarok/hihex
Source0:        https://github.com/digarok/hihex/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  golang >= 1.5

%description
The hihex utility works like the hexdump command with a special addition to view "high-bit ascii". This allows you to view the character output of ASCII values that have the high bit set wheras hexdump doesn't understand these values.

This is particularly useful for examining binary files from older computers, such as the Apple II, where they would commonly use the high bit versions of characters to display text in other modes such as inverse.

Also great for diffs!

%prep
%autosetup -n %{name}-%{version}

%build
mkdir -p ./_build/src/github.com/digarok/
ln -s $(pwd) ./_build/src/github.com/digarok/%{name}
export GOPATH=$(pwd)/_build:%{gopath}
export GO111MODULE=auto

go build -o %{name}

%install
install -p -D -m 0755 ./%{name} %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Thu Jun 24 2021 Greg Wildman <greg@techno.co.za> - 0.0.0-2
- Update go build method for 1.16

* Tue Nov 05 2019 Greg Wildman <greg@techno.co.za> - 0.0.0-1
- Initial RPM release

